Dev Tools allow install.rdf with 3.* as maxVersion

RESOLVED FIXED

Status

addons.mozilla.org Graveyard
Developer Pages
RESOLVED FIXED
10 years ago
2 years ago

People

(Reporter: baz, Assigned: fligtar)

Tracking

Details

Attachments

(1 attachment)

(Reporter)

Description

10 years ago
We should not be allowing "3.*" as a valid maxversion.

e.g. Symbaloo Bookmarker 0.7 (https://addons.mozilla.org/en-US/firefox/addon/6885)

https://addons.mozilla.org/en-US/firefox/downloads/file/30666/symbaloo_bookmarker-0.7-.xpi includes the invalid maxVer in the install.rdf
(Reporter)

Comment 1

10 years ago
I should also note that this page (https://addons.mozilla.org/en-US/editors/review/47189) has blank compatibility fields in the upper right area
Alternatively, what do we allow, then?  3.0.*?
(Assignee)

Comment 3

10 years ago
I'll look into this - it's like the versions weren't checked at all.
(Assignee)

Updated

10 years ago
Duplicate of this bug: 439598
(Assignee)

Comment 5

10 years ago
Created attachment 325478 [details] [diff] [review]
patch, v1

The target app validation function was changed with 3.5 and I forgot to make a needed change to the old Dev CP. This will now catch the errors that it's been throwing.

After this is pushed live I can do a query and update the target app info for all the add-ons that were affected by this.
Assignee: nobody → fligtar
Status: NEW → ASSIGNED
Attachment #325478 - Flags: review?(morgamic)
Comment on attachment 325478 [details] [diff] [review]
patch, v1

Looks ok to me, check it in.
Attachment #325478 - Flags: review?(morgamic) → review+
(Assignee)

Comment 7

10 years ago
Thanks, checked in r16059
Status: ASSIGNED → RESOLVED
Last Resolved: 10 years ago
Keywords: push-needed
Resolution: --- → FIXED
Does this fix also fixes the extensions which are already public?
1. They are "hidden" at the moment, you can't find them by searching (try "Pterodactl").
2. They aren't shipped as updates.
Any chances to check the database for approved add-ons with this problem? They still exist.
(Assignee)

Comment 10

10 years ago
3.4.5 was pushed on Friday.
Keywords: push-needed
Product: addons.mozilla.org → addons.mozilla.org Graveyard
You need to log in before you can comment on or make changes to this bug.